Package com.oracle.truffle.object

## Class PropertyMap

- java.lang.Object
- - com.oracle.truffle.object.PropertyMap

All Implemented Interfaces:
  `java.util.Map<java.lang.Object,​Property>`

    public final class PropertyMap
    extends java.lang.Object
    implements java.util.Map<java.lang.Object,​Property>

### Nested Class Summary

### Nested classes/interfaces inherited from interface java.util.Map

`java.util.Map.Entry<K extends java.lang.Object,​V extends java.lang.Object>`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `clear()`
`boolean` `containsKey​(java.lang.Object key)`
`boolean` `containsValue​(java.lang.Object value)`
`static PropertyMap` `empty()`
`java.util.Set<java.util.Map.Entry<java.lang.Object,​Property>>` `entrySet()`
`Property` `get​(java.lang.Object key)`
`Property` `getLastProperty()`
`PropertyMap` `getOwningMap​(Property value)`
`boolean` `isEmpty()`
`java.util.Set<java.lang.Object>` `keySet()`
`Property` `put​(java.lang.Object key, Property value)`
`void` `putAll​(java.util.Map<? extends java.lang.Object,​? extends Property> m)`
`PropertyMap` `putCopy​(Property value)`
`Property` `remove​(java.lang.Object key)`
`PropertyMap` `removeCopy​(Property value)`
`PropertyMap` `replaceCopy​(Property oldValue, Property newValue)`
`java.util.Set<java.util.Map.Entry<java.lang.Object,​Property>>` `reverseOrderEntrySet()`
`java.util.Set<java.lang.Object>` `reverseOrderKeys()`
`java.util.Set<Property>` `reverseOrderValues()`
`int` `size()`
`java.util.Collection<Property>` `values()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Map

`compute, computeIfAbsent, computeIfPresent, equals, forEach, getOrDefault, hashCode, merge, putIfAbsent, remove, replace, replace, replaceAll`

### Method Detail

#### empty

    public static PropertyMap empty()

#### size

    public int size()

Specified by:
  `size` in interface `java.util.Map<java.lang.Object,​Property>`

#### isEmpty

    public boolean isEmpty()

Specified by:
  `isEmpty` in interface `java.util.Map<java.lang.Object,​Property>`

#### containsKey

    public boolean containsKey​(java.lang.Object key)

Specified by:
  `containsKey` in interface `java.util.Map<java.lang.Object,​Property>`

#### containsValue

    public boolean containsValue​(java.lang.Object value)

Specified by:
  `containsValue` in interface `java.util.Map<java.lang.Object,​Property>`

#### get

    public Property get​(java.lang.Object key)

Specified by:
  `get` in interface `java.util.Map<java.lang.Object,​Property>`

#### put

    public Property put​(java.lang.Object key,
                        Property value)

Specified by:
  `put` in interface `java.util.Map<java.lang.Object,​Property>`

#### remove

    public Property remove​(java.lang.Object key)

Specified by:
  `remove` in interface `java.util.Map<java.lang.Object,​Property>`

#### putAll

    public void putAll​(java.util.Map<? extends java.lang.Object,​? extends Property> m)

Specified by:
  `putAll` in interface `java.util.Map<java.lang.Object,​Property>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `java.util.Map<java.lang.Object,​Property>`

#### keySet

    public java.util.Set<java.lang.Object> keySet()

Specified by:
  `keySet` in interface `java.util.Map<java.lang.Object,​Property>`

#### values

    public java.util.Collection<Property> values()

Specified by:
  `values` in interface `java.util.Map<java.lang.Object,​Property>`

#### entrySet

    public java.util.Set<java.util.Map.Entry<java.lang.Object,​Property>> entrySet()

Specified by:
  `entrySet` in interface `java.util.Map<java.lang.Object,​Property>`

#### reverseOrderEntrySet

    public java.util.Set<java.util.Map.Entry<java.lang.Object,​Property>> reverseOrderEntrySet()

#### reverseOrderKeys

    public java.util.Set<java.lang.Object> reverseOrderKeys()

#### reverseOrderValues

    public java.util.Set<Property> reverseOrderValues()

#### putCopy

    public PropertyMap putCopy​(Property value)

#### removeCopy

    public PropertyMap removeCopy​(Property value)

#### replaceCopy

    public PropertyMap replaceCopy​(Property oldValue,
                                   Property newValue)

#### getOwningMap

    public PropertyMap getOwningMap​(Property value)

#### getLastProperty

    public Property getLastProperty()